Update
[ikiwiki.git] / doc / forum / perl5lib_and_wrappers.mdwn
1 I don't know if I'm doing this right...  I'm using a server provider that doesn't allow me to install into standard perl locations, so I used PREFIX to install things in my home dir.  The problem is that when the wrapper is run by the CGI server, it can't find the perl modules I installed.  There didn't seem to be a way to set the PERL5LIB from the standard config, so I added one.  Patch attached.  Or did I miss something and this was already possible?
2
3 > The standard way to do it is to set `INSTALL_BASE=$HOME` when running
4 > `Makefile.PL`. If you do this, ikiwiki will be built with a special `use
5 > lib $HOME` line inserted, that will make it look in the specified
6 > directory for perl modules.
7
8 > The [[tips/nearlyfreespeech]] tip has an example of doing this.
9 > --[[Joey]]
10
11 >> Thanks!  I found that page, but didn't recognise the importance of INSTALL_BASE.
12
13 >> It looks like INSTALL_BASE only appeared in version 6.31 of the Perl MakeMaker.  My provider is still running version 6.30.  Looks like I'll be keeping my patches for the moment...  sigh.